- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
pdftron::PDF::MonoImageSettings Class Reference

`#include <Optimizer.h>`

Inheritance diagram for pdftron::PDF::MonoImageSettings:

## Public Types
enum | CompressionMode { e_jbig2, e_flate, e_none, e_ccitt }
enum | DownsampleMode { e_off, e_default }

## Public Member Functions
| MonoImageSettings ()
void | SetImageDPI (double maximum, double resampling)
void | SetCompressionMode (enum CompressionMode mode)
void | SetDownsampleMode (enum DownsampleMode mode)
void | ForceRecompression (bool force)
void | ForceChanges (bool force)
void | SetJBIG2Threshold (double jbig2_threshold)

## Detailed Description

A class that stores image downsampling/recompression settings for monochrome images.

Definition at line 153 of file Optimizer.h.

## Member Enumeration Documentation

enum pdftron::PDF::MonoImageSettings::CompressionMode

Enumerator
e_jbig2 |
e_flate |
e_none |
e_ccitt |

Definition at line 156 of file Optimizer.h.

enum pdftron::PDF::MonoImageSettings::DownsampleMode

Enumerator
e_off |
e_default |

Definition at line 164 of file Optimizer.h.

## Constructor & Destructor Documentation

pdftron::PDF::MonoImageSettings::MonoImageSettings | ( |  | ) |

create an MonoImageSettings object with default options

## Member Function Documentation

void pdftron::PDF::MonoImageSettings::ForceChanges | ( | bool | force | ) |

Sets whether image changes that grow the PDF file should be kept. This is off by default.

Parameters

  force | if true all image changes will be kept.

void pdftron::PDF::MonoImageSettings::ForceRecompression | ( | bool | force | ) |

Sets whether recompression to the specified compression method should be forced when the image is not downsampled. By default the compression method for these images will not be changed.

Parameters

  force | if true the compression method for all images will be changed to the specified compression mode

void pdftron::PDF::MonoImageSettings::SetCompressionMode | ( | enum CompressionMode | mode | ) |

Sets the output compression mode for monochrome images The default value is e_ccitt (CCITT group 4 compression)

Parameters

  mode | the compression mode to set

void pdftron::PDF::MonoImageSettings::SetDownsampleMode | ( | enum DownsampleMode | mode | ) |

Sets the downsample mode for monochrome images The default value is e_default

Parameters

  mode | the compression mode to set

void pdftron::PDF::MonoImageSettings::SetImageDPI | ( | double | maximum,
|  | double | resampling
| ) |  |

Sets the maximum and resampling dpi for monochrome images. By default these are set to 144 and 96 respectively.

Parameters

  maximum | the highest dpi of an image before it will be resampled
  resampling | the image dpi to resample to if an image is encountered over the maximum dpi

void pdftron::PDF::MonoImageSettings::SetJBIG2Threshold | ( | double | jbig2_threshold | ) |

Sets the quality for lossy compression modes from 1 to 10 where 10 is lossless (if possible). The default value for JBIG2 is 8.5. The setting is ignored for FLATE.

The documentation for this class was generated from the following file:

- PDF/Optimizer.h